Class UmlBaseValueSpecificationAction

Declaration :

- C++ : class UmlBaseValueSpecificationAction : public UmlActivityAction
- Java : abstract class UmlBaseValueSpecificationAction extends UmlActivityAction

Directly inherited by : UmlValueSpecificationAction

Artifact : UmlBaseActivityActionClasses

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlValueSpecificationAction, exceptions : RuntimeException
- C++ : public: static UmlValueSpecificationAction * create(UmlItem * parent, const char * s)
- Java : public static UmlValueSpecificationAction create(UmlItem parent, String s) throws RuntimeException

returns a new value specification action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseValueSpecificationAction

Declaration :

- Uml : # UmlBaseValueSpecificationAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseValueSpecificationAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseValueSpecificationAction(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

Operation value

Declaration :

- Uml : + value() : string
- C++ : public: const QCString & value()
- Java : public String value()

return the value

Operation set_Value

Declaration :

- Uml : + set_Value(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Value(const char * v)
- Java : public void set_Value(String v) throws RuntimeException

set the value
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppValue

Declaration :

- Uml : + cppValue() : string
- C++ : public: const QCString & cppValue()
- Java : public String cppValue()

return the value in C++

Operation set_CppValue

Declaration :

- Uml : + set_CppValue(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppValue(const char * v)
- Java : public void set_CppValue(String v) throws RuntimeException

set the value in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaValue

Declaration :

- Uml : + javaValue() : string
- C++ : public: const QCString & javaValue()
- Java : public String javaValue()

return the value in Java

Operation set_JavaValue

Declaration :

- Uml : + set_JavaValue(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaValue(const char * v)
- Java : public void set_JavaValue(String v) throws RuntimeException

set the value in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Attribut _value

Declaration :

- Uml : - _value : string
- C++ : private: QCString _value
- Java : private String _value

Attribut _cpp_value

Declaration :

- Uml : - _cpp_value : string
- C++ : private: QCString _cpp_value
- Java : private String _cpp_value

Attribut _java_value

Declaration :

- Uml : - _java_value : string
- C++ : private: QCString _java_value
- Java : private String _java_value

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , cppValue , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , javaValue , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_CppValue , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_JavaValue , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Value , stereotype , supportFile , unload , unload , unload , value